<template>
  <div class="center">
    <div class="latestMessage">
      <div class="firstRow">
        <h3>{{ message.sender.name }}</h3>

        <ActionButton @click="unarchive"> Unarchive </ActionButton>
      </div>
      <p>
        {{ message.content }}
      </p>
    </div>
  </div>
</template>

<script>
import ActionButton from "../atoms/ActionButton.vue";
import axios from "axios";

export default {
  components: { ActionButton },
  props: {
    message: {
      type: Object,
    },
    id: {
      validator(value) {
        return /([0-9])/.test(value);
      },
    },
  },
  methods: {
    async unarchive() {
      await axios.post(`api/games/${this.id}/unarchive`, {
        messageId: this.message.id,
      });
      this.$router.go();
    },
  },
};
</script>

<style lang="scss">
.center {
  display: flex;
  justify-content: center;

  .latestMessage {
    background-color: white;
    padding: 0rem 1rem;
    border: 0.1rem #09639b solid;
    border-radius: 0.2rem;
    align-self: center;
    width: 90vw;
    max-width: 24rem;
    margin-bottom: 0.5rem;

    h3 {
      color: black;
      text-decoration: none;
      font-weight: bold;
      font-size: 1rem;
    }
  }
}
.firstRow {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  .actionButton {
    width: 5rem;
    height: 1.5rem;
    font-size: 0.8rem;
  }
}
</style>
